#include <iostream>

using namespace std;

int main()
{
    int n, m, a, b, res = 0;
    cin >> n >> m;
    int druz[n];
    for (int i = 0; i < n; i++) cin >> druz[i];
    for (int i = 0; i < m; i++)
    {
        cin >> a >> b;
        a--; b--;
        res += max(druz[a] + druz[b], -druz[a] - druz[b]);
    }
    cout << res;
    return 0;
}